Reply to topic

MySQL won't work on a fresh install of KDE neon

gimradan
Registered Member
Posts
1
Karma
0
Hi,
Today I installed KDE neon from the image neon-user-20200123-1116.iso on my Acer laptop.
The only thing I kept was the /home partition.

Everything ran smooth and was just perfect. Until I wanted to give kmail a try. Kmail won't work without the Akonadi Server. This Server won't run without MySQL. And the biggest problem: MySQL seems to not to install correctly. I never had this on any version of Ubuntu or Debian in the past 10 years. There simply are no configuration files, all known folders are missing, there also isn't a service for MySQL. Just as if it was never installed. But it gives an error:
Code: Select all
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock'

I tried:
    - Installing kmail (before I knew there were strange things going on)
    - Reinstalling Akonadi Server, MySQL, kmail
    - Completely removing everything of those
    - Restarted the laptop about a hundred times between tries
    - Installed MySQL alone
    - Followed this guide: https://www.digitalocean.com/community/tutorials/how-to-troubleshoot-socket-errors-in-mysql (seems to be the only related answer to my problem)
    In this guide I saw there's missing everything that has to do with MySQL. All mentioned folders and files are missing.
I'm not a complete beginner with Debian and Ubuntu but also no professional. If you have a clue what's going on you will have to guide me through the depths of KDE neon.

Regards

Gimradan
User avatar raphaelra
Registered Member
Posts
166
Karma
0
OS
Do you want to run MySQL for akonadi or separate ?

It looks like MySQL is trying to connect via socket, but you have not access rights to socket in /var/run/mysql/... The local/user MySQL instance for akonadi works with socket (pseudo) file unter /var/run/user/{id}/akonadi/... Check your ~/.config/akonadiserverrc file for key Options in section [QMYSQL].
User avatar robertotamburrino
Registered Member
Posts
33
Karma
0
OS
mysql-server-core-8.0 is blocked by the maintainers, therefore it gives an error! is a necessary dependency for mysql-server

 
Reply to topic

Bookmarks



Who is online

Registered users: aptass, Baidu [Spider], bartoloni, Bing [Bot], claydoh, Drecker, flipwise, Frousties, Google [Bot], hhc$, pulltheo, robgriff444, safinx, software, Theo, Yahoo [Bot]